Protocols
List protocols
Get protocol sensors available to your organization.
GET
/
api
/
v1
/
protocols
List protocols
curl --request GET \
--url https://ibf.blankstate.ai/api/v1/protocols \
--header 'Authorization: Bearer <token>'import requests
url = "https://ibf.blankstate.ai/api/v1/protocols"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ibf.blankstate.ai/api/v1/protocols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"protocols": [
{
"id": "customer-service-quality",
"name": "Customer Service Quality",
"versions": [
"1.0",
"1.5"
],
"taxonomy": "Good_Practice",
"status": "published",
"metamarker_count": 5,
"supported_modalities": [
"text",
"transcript"
]
}
],
"total": 1,
"limit": 50,
"offset": 0
}{
"error": {
"code": "unauthorized",
"message": "Invalid or expired API token. Obtain a new token from atlas.blankstate.ai"
}
}Authorizations
API token from Atlas Dashboard
Query Parameters
Available options:
published, draft, all Filter by protocol taxonomy
Available options:
Policy, Critical_Thinking, Good_Practice, Signal Required range:
x <= 100Response
Protocol list
⌘I
List protocols
